Subject: Re: bug#51110: Native-comp leaks fds open on /dev/ptmx

From: Stephen Gildea <[email-masked]>
Date: Sat, 09 Oct 2021 10:01:43 -0700

The recipe I gave provides a simple way to show the unbounded resource
use of Emacs while compiling; I don't propose it as an actual use case.

Apparently what's happening is that Emacs forks off a child Emacs to do
the compile and allocates a pty to the child.  These ptys are not
closed until the compile completes.  It seems Emacs needs to better
manage the number of simultaneous open ptys.  Or at least be able to
wait and retry if an open fails.